%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Structures_DataGrid

Name:           php-pear-Structures-DataGrid
Version:        0.9.3
Release:        2%{?dist}
Summary:        Tabular structure for converting data

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/%{pear_name}
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.6.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-pear(PEAR)
# Optional requires
Requires:       php-pear(File) >= 1.3.0
Requires:       php-pear(Net_URL_Mapper) >= 0.9.0
# extensions detected by phpci
Requires:       php-spl, php-date, php-mbstring, php-pcre
# Only for test, and don't work with PHPUnit version 3 : php-pear(pear.phpunit.de/PHPUnit) >= 1.3.2

Provides:       php-pear(%{pear_name}) = %{version}


%description
This package offers a toolkit to render out a datagrid in HTML format as well
as many other formats such as an XML Document, an Excel Spreadsheet, an XUL
Document and more. It also offers paging and sorting functionality to limit
the data that is presented and processed. This concept is based on the .NET
Framework DataGrid control and works very well with database and XML result
sets.


%prep
%setup -qc
cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}
install -d $RPM_BUILD_ROOT%{pear_phpdir}/Structures/DataGrid/DataSource
install -d $RPM_BUILD_ROOT%{pear_phpdir}/Structures/DataGrid/Renderer


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/Structures/DataGrid*


%changelog
* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 0.9.3-2
- rebuilt for new pear_testdir

* Mon Aug 06 2012 Remi Collet <remi@fedoraproject.org> 0.9.3-1
- Version 0.9.3 (beta) - API 0.9.0 (beta)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Apr 26 2011 Remi Collet <Fedora@FamilleCollet.com> 0.9.0-8
- doc in /usr/share/doc/pear
- fix requires

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 19 2010 Christof Damian <christof@damian.net> - 0.9.0-6
- spec cleaning

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Christopher Stone <chris.stone@gmail.com> 0.9.0-3
- Move examples to %%doc
- Fix up %%files section

* Thu Feb 19 2008 Christopher Stone <chris.stone@gmail.com> 0.9.0-2
- Fix PHPUnit requirement

* Thu Feb 19 2008 Christopher Stone <chris.stone@gmail.com> 0.9.0-1
- Upstream sync
- Add new optional requirements
- Requires new pear installer 

* Mon Apr 30 2007 Christopher Stone <chris.stone@gmail.com> 0.8.3-1
- Upstream sync

* Tue Mar 13 2007 Christopher Stone <chris.stone@gmail.com> 0.8.2-1
- Upstream sync
- Shorten Summary

* Mon Jan 15 2007 Christopher Stone <chris.stone@gmail.com> 0.8.1-1
- Upstream sync

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 0.8.0-1
- Upstream sync
- Remove PHP license from %%files
- Relicense under BSD

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 0.7.2-3
- Requeue build (forgot to add license to cvs)

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 0.7.2-2
- Own DataSource and Renderer directories
- Add license to %%doc

* Sun Oct 29 2006 Christopher Stone <chris.stone@gmail.com> 0.7.2-1
- Initial Release
